Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get product variant templates

Returns the variant templates for a product

GET/api/v1/{team_slug}/{app_slug}/products/{product_id}/variant-groups/templates
Path parameters
team_slugstringrequired

Team slug

app_slugstringrequired

App slug

product_idstringrequired

Product ID

Responses
200

Variant templates

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantTemplate[]required
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantTemplate
attribute_template_idstring
created_atstring
idstring
template_keystring
template_namestring
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/products/string/variant-groups/templates' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "attribute_template_id": "string",
      "created_at": "string",
      "id": "string",
      "template_key": "string",
      "template_name": "string",
      "updated_at": "string"
    }
  ],
  "details": [
    "string"
  ],
  "success": true
}